Updates settings for the specified organization. Creates the settings row if it does not exist.
curl --request PUT \
--url https://app.dynamicauth.com/api/v0/organizations/{organizationId}/organizationSettings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"approvalEnabled": true,
"approvalTtlHours": 84,
"approvalRequiredApprovals": 2
}
'{
"organizationSettings": {
"approvalEnabled": true,
"approvalTtlHours": 123,
"approvalRequiredApprovals": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of organization
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Partial update for organization settings. Only provided fields are updated.
Updated organization settings
Wrapper response for a single organization settings object.
Organization-level settings with typed columns. One row per organization, lazily created on first write.
Show child attributes
Was this page helpful?
curl --request PUT \
--url https://app.dynamicauth.com/api/v0/organizations/{organizationId}/organizationSettings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"approvalEnabled": true,
"approvalTtlHours": 84,
"approvalRequiredApprovals": 2
}
'{
"organizationSettings": {
"approvalEnabled": true,
"approvalTtlHours": 123,
"approvalRequiredApprovals": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}